10 CLS : COLOR 15: PRINT "TRAPS NEEDED TO TRAPOUT PROPORTION OF INSECTS IN TIME ALLOTTED"
PRINT "                    (C) 1992 by John A. Byers ": PRINT
PRINT "Byers, J.A. 1993. Simulation and equation models of insect population control"
PRINT "   by pheromone-baited traps. J. Chem. Ecol. 19:1939-1956."
PRINT
COLOR 11
30 INPUT "NUMBER OF INSECTS IN AREA"; N: N = INT(N): IF N <= 0 THEN 30
40 INPUT "EFFECTIVE RADIUS OF TRAP (in m)"; R: IF R <= 0 THEN 40
50 INPUT "AVERAGE SPEED OF INSECT (in m/s)"; S: IF S <= 0 THEN 50
60 INPUT "NUMBER OF TRAPS"; K: K = INT(K): IF K <= 0 THEN 60
70 INPUT "ENTER %CONTROL ( <=100% )"; P: IF P <= 0 OR P > 100 THEN 70
80 INPUT "ENTER DURATION OF TRAPOUT (in s)"; TIME: IF TIME <= 0 THEN 80
90 INPUT "AREA OF TEST (in m2)"; A: IF A <= 0 THEN 90
z! = TIMER
100 P = P / 100: TT = TIME: COLOR 15: PRINT
110 PRINT "WORKING...": PRINT : FOR C = 0 TO N * P - 1
120 T = T + A / (2 * R * S * K * (N - C)): NEXT: C = 0
130 PRINT "TIME TO CATCH"; P * 100; "% ="; T; "s OR"; T / 3600; "h"
140 IF C = N THEN K = 0: GOTO 170
150 TIME = TIME - (A / (2 * R * S * K * (N - C)))
160 C = C + 1: IF TIME > 0 THEN 140 ELSE K = 0
170 PRINT C / N * 100; "% CAUGHT IN TIME ="; TT; "s OR"; TT / 3600; "h"
180 FOR C = 0 TO N * P - 1: K = K + A / (2 * R * S * TT * (N - C)): NEXT
190 PRINT K; "TRAPS NEEDED TO CATCH"; P * 100; "% IN"; TT; "s ALLOTTED"
'PRINT "time="; TIMER - z!

